Package wx :: Package lib :: Package agw :: Module peakmeter

[frames | no frames]

## Module wx.lib.agw.peakmeter

# Description

PeakMeterCtrl mimics the behaviour of equalizers that are usually found in stereos and MP3 players. This widgets supports:

- Vertical and horizontal led bands;
- Settings number of bands and leds per band;
- Possibility to change the colour for low/medium/high band frequencies;
- Falloff effects;
- Showing a background grid for the bands.

And a lot more. Check the demo for an almost complete review of the functionalities.

# Supported Platforms

PeakMeterCtrl has been tested on the following platforms:
  - Windows (Windows XP).

Latest Revision: Andrea Gavana @ 07 October 2008, 22.00 GMT Version 0.1

Classes
`PeakMeterCtrl` | The main L{PeakMeterCtrl} implementation.
`PeakMeterData` | A simple class which holds data for our L{PeakMeterCtrl}.

Function Summary
| ``DarkenColor`(crColor, byReduceVal)` Darkens a colour.
| ``InRange`(val, valMin, valMax)` Returns whether the value val is between valMin and valMax.
| ``LightenColor`(crColor, byIncreaseVal)` Lightens a colour.

Function Details

### DarkenColor(crColor, byReduceVal)

Darkens a colour.

### InRange(val, valMin, valMax)

Returns whether the value val is between valMin and valMax.

### LightenColor(crColor, byIncreaseVal)

Lightens a colour.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:51:33 2009 | http://epydoc.sf.net